body {
    margin: 0;
    padding: 0;
    background: #020024;
    background: linear-gradient(90deg, rgb(78, 66, 95) 25%, rgb(58, 36, 76) 100%);
    color: rgb(238, 238, 238);
    background-size: cover;
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-position: center;
    user-select: none;
}

header {
    text-align: center;
}

a {
    color: rgb(221, 198, 255);
}

hr {
    border: 0;
    border-top: 2px solid #120024;
    margin: 12px 0 0 0;
}

.description {
    margin: 40px;
    font-size: 25px;
}

.content {
    background: linear-gradient(135deg, rgba(35, 0, 72, 0.4) 0%, rgba(2, 0, 36, 0.4) 100%);
    border: 2px #120024 solid;
    text-align: center;
    margin: auto;
    max-width: 55%;
    max-height: 75%;
    border-radius: 20px;
    backdrop-filter: blur(10px);
    margin-bottom: 100px;
    overflow: hidden;
}

.single-project {
    width: 200px;
    flex-shrink: 0;
    background: linear-gradient(135deg, rgba(35, 0, 72, 0.4) 0%, rgba(2, 0, 36, 0.4) 100%);
    padding: 15px;
    border-radius: 12px;
    border: #120024 2px solid;
}

.social {
    width: 30px;
}

.techLogo {
    border-radius: 8px;
}

.tech-row {
    display: flex;
    justify-content: space-around;
    margin-bottom: 15px;
}

.tech-column {
    min-width: 250px;
    text-align: center;
    padding: 10px;
}

.thumbnail {
    width: 100%;
    border: #120024 2px solid;
    border-radius: 12px;
    cursor: pointer;
    object-fit: cover;
}

.thumbnail:hover {
    transform: translateY(-4px);
}

.single-project:hover {
    transform: scale(105%);
}

#project-table {
    display: flex;
    gap: 20px;
    overflow-x: auto;
    padding: 15px;
    scroll-behavior: smooth;
    width: 100%;
    box-sizing: border-box;
    scrollbar-width: thin; 
    scrollbar-color: rgb(58, 39, 84) #020024;
}

#project-table::-webkit-scrollbar {
    width: 5px;
}

#project-table::-webkit-scrollbar-thumb {
  background: linear-gradient(90deg, rgb(58, 39, 84) 25%, rgb(50, 16, 78) 100%);
  border: #020024 2px solid;
  border-radius: 10px;
}

#project-table::-moz-range-progress {
    width: 5px;
}

#project-table::-moz-range-track {
  background: linear-gradient(90deg, rgb(58, 39, 84) 25%, rgb(50, 16, 78) 100%);
  border: #020024 2px solid;
  border-radius: 10px;
}

#navbar {
    background: linear-gradient(135deg, rgba(69, 51, 93, 0.9) 0%, rgba(45, 15, 70, 0.4) 100%);
    border: 2px #2b183e solid;
    backdrop-filter: blur(7px);
    margin: auto;
    text-align: center;
    position: sticky;
    z-index: 100;
    padding: 10px;
    top: 0px;
}

#navbar a {
    padding: 10px;
    font-size: 20px;
}


#pfp {
    width: 150px;
    border-radius: 50%;
    border: 3px #c5c5c5 solid ;
}

#discover:hover {
    cursor: pointer;
}

#discover {
    margin: 0;
}

#contact {
    margin: 12px;
}

#backgroundVideo {
    position: fixed;
    top: 0; 
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: -1;
    pointer-events: none;
}
